VULKAN_HPP_NAMESPACE::Buffer Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | Buffer ()
VULKAN_HPP_CONSTEXPR | Buffer (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | Buffer (VkBuffer buffer)
Buffer & | operator= (std::nullptr_t)
bool | operator== (Buffer const &rhs) const
bool | operator!= (Buffer const &rhs) const
bool | operator< (Buffer const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkBuffer () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkBuffer | m_buffer

## Detailed Description

Definition at line 3078 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Buffer() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Buffer::Buffer | ( |  | ) |

inline

Definition at line 3081 of file vulkan.hpp.

: m_buffer(VK_NULL_HANDLE)
{}

## Buffer() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Buffer::Buffer | ( | std::nullptr_t |  | ) |

inline

Definition at line 3085 of file vulkan.hpp.

: m_buffer(VK_NULL_HANDLE)
{}

## Buffer() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Buffer::Buffer | ( | VkBuffer | buffer | ) |

inline

Definition at line 3089 of file vulkan.hpp.

: m_buffer( buffer )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::Buffer::operator bool | ( |  | ) | const

inline explicit

Definition at line 3129 of file vulkan.hpp.

{
return m_buffer != VK_NULL_HANDLE;
}

References m_buffer, and VK_NULL_HANDLE.

## operator VkBuffer()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Buffer::operator VkBuffer | ( |  | ) | const

inline

Definition at line 3124 of file vulkan.hpp.

{
return m_buffer;
}

References m_buffer.

## operator!()

bool VULKAN_HPP_NAMESPACE::Buffer::operator! | ( |  | ) | const

inline

Definition at line 3134 of file vulkan.hpp.

{
return m_buffer == VK_NULL_HANDLE;
}

References m_buffer, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::Buffer::operator!= | ( | Buffer const & | rhs | ) | const

inline

Definition at line 3112 of file vulkan.hpp.

{
return m_buffer != rhs.m_buffer;
}

References m_buffer.

## operator<()

bool VULKAN_HPP_NAMESPACE::Buffer::operator< | ( | Buffer const & | rhs | ) | const

inline

Definition at line 3117 of file vulkan.hpp.

{
return m_buffer < rhs.m_buffer;
}

References m_buffer.

## operator=()

Buffer& VULKAN_HPP_NAMESPACE::Buffer::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3101 of file vulkan.hpp.

{
m_buffer = VK_NULL_HANDLE;
return *this;
}

References m_buffer, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::Buffer::operator== | ( | Buffer const & | rhs | ) | const

inline

Definition at line 3107 of file vulkan.hpp.

{
return m_buffer == rhs.m_buffer;
}

References m_buffer.

## Field Documentation

## m_buffer

VkBuffer VULKAN_HPP_NAMESPACE::Buffer::m_buffer

private

Definition at line 3140 of file vulkan.hpp.

Referenced by operator bool(), operator VkBuffer(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::Buffer::m_buffer
VkBuffer m_buffer
Definition: vulkan.hpp:3140